Scrape parse configs
List
Returns the top level parse configurations of the workspace, across all scrape domains, each with its sub configurations nested inside it. Sub configurations are never listed on their own, and there is no paging or filtering.
GET
/api/{tenant:minlength(2)}/v{version:apiVersion}/scrape_parse_configs
- Authorisation
- Minimum role: USER
Request arguments
Request body example
No input arguments
Response
- Status
- 200 (OK)
- Type
- DTO_scrape_parse_config[]
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_scrape_parse_config
| Name | Type | ReadOnly | Description |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| sub_configs | DTO_scrape_parse_config[] | | Sub configs |
| id | Int32 | ReadOnly | Leave empty on input |
| scrape_domain_id | Int32 | | Scrape domain id |
| apply_on_url_pattern | String | | Apply on url pattern |
| unique_key | String | | Unique key |
| xpath | String | | Xpath |
| is_collection | Boolean | | Is collection |
| extraction_mode | ENUM scraper_parse_extraction_mode | | Extraction mode |
| post_process_rule | ENUM scraper_parse_post_process | | Post process rule |
| used_last | DateTime (nullable) | | Will update if it was more than 10 minutes (or similar) to avoid too many updates. |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_scrape_parse_config
| Name | Type | ReadOnly | Description |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| sub_configs | DTO_scrape_parse_config[] | | Sub configs |
| id | Int32 | ReadOnly | Leave empty on input |
| scrape_domain_id | Int32 | | Scrape domain id |
| apply_on_url_pattern | String | | Apply on url pattern |
| unique_key | String | | Unique key |
| xpath | String | | Xpath |
| is_collection | Boolean | | Is collection |
| extraction_mode | ENUM scraper_parse_extraction_mode | | Extraction mode |
| post_process_rule | ENUM scraper_parse_post_process | | Post process rule |
| used_last | DateTime (nullable) | | Will update if it was more than 10 minutes (or similar) to avoid too many updates. |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
| Value | Name | Description |
| 0 | NOT_SET | NOT_SET |
| 1 | INNER_HTML | INNER_HTML |
| 2 | INNER_TEXT | INNER_TEXT |
| 3 | ATTRIBUTE_HREF | ATTRIBUTE_HREF |
| 4 | ATTRIBUTE_SRC | ATTRIBUTE_SRC |
| 5 | DATETIME | DATETIME |
| 6 | ARIA_LABEL | ARIA_LABEL |
ENUM scraper_parse_post_process
| Value | Name | Description |
| 0 | NOT_SET | NOT_SET |
| 1 | PATH_JOIN | PATH_JOIN |
Generated Aug 4, 2026 18:37